// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            var username = "bat";
            var password = "bar";

            var hash = hashCode(username + password);
            var outputDiv = document.getElementById("outputDiv");
            outputDiv.innerHTML += "username: " + username + " password: " + password;
            outputDiv.innerHTML += "<br />";
            outputDiv.innerHTML += "hash: " + hash;
            outputDiv.innerHTML += "<br />";
            outputDiv.innerHTML += "password: xxx " + (hashCode(username + "xxx") == hash).toString();
            outputDiv.innerHTML += "<br />";
            outputDiv.innerHTML += "username: xxx " + (hashCode("xxx" + password) == hash).toString();
            outputDiv.innerHTML += "<br />";
            outputDiv.innerHTML += "correct credentials: " + (hashCode(username + password) == hash).toString();

        }
    };

    var hashCode = function (s) {
        return s.split("").reduce(function (a, b) { a = ((a << 5) - a) + b.charCodeAt(0); return a & a }, 0);
    }

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
